Each model within IO Intelligence has its own value and credit consumption rate based on its complexity, capability, and computational cost.For plan subscribers (Basic, Professional, or higher tiers), all model interactions draw from a shared usage pool. This means you can use any model available under your plan, and your total usage will count toward a single shared credit allowance — rather than having separate limits for each model.This shared system provides maximum flexibility, allowing you to switch between models seamlessly while staying within your daily or hourly quota.This limit is designed to ensure fair and balanced usage for all users. If you anticipate needing a higher request limit, please consider optimizing your implementation or reach out to us for assistance.For further details on usage limits, full breakdown of rates, and how IO Credits are billed, refer to the IO Intelligence Payments page.
You can interact with the API using HTTP requests from any programming language or by using the official Python and Node.js libraries.To install the official Python library, run the following command:
pip install openai
To install the official Node.js library, run this command in your Node.js project directory:
Always treat your API key as a secret. Do not share it or expose it in client-side code (e.g., browsers or mobile apps). Instead, store it securely in an environment variable or a key management service on your backend server.
Include the API key in an Authorization HTTP header for all API requests:
The example below demonstrates how to make a request to the Chat Completions endpoint using curl. To test the API, replace $IOINTELLIGENCE_API_KEY with your actual API key and modify the input values as shown.
curl https://api.intelligence.io.solutions/api/v1/chat/completions / -H "Content-Type: application/json" / -H "Authorization: Bearer \$IOINTELLIGENCE_API_KEY" / -d '{ "model": "meta-llama/Llama-3.3-70B-Instruct", "messages": [{"role": "user", "content": "Say this is a test!"}], "reasoning_content": true, "temperature": 0.7 }'
This example queries the meta-llama/Llama-3.3-70B-Instruct model to generate a chat completion for the input: “Say this is a test!”.
finish_reason: Indicates why the generation stopped (e.g., “stop”).
choices: Contains the generated response(s). Adjust the n parameter to generate multiple response choices.
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"io.net","colors":{"primary":"#6b6b6b","light":"#6b6b6b","dark":"#6b6b6b"},"logo":{"light":"https://mintcdn.com/ionet-cca8037f/b19dlbPlCUid06dF/logo/light.svg?fit=max\u0026auto=format\u0026n=b19dlbPlCUid06dF\u0026q=85\u0026s=debc44eff771f4f2f76b8b8a86faf828","dark":"https://mintcdn.com/ionet-cca8037f/b19dlbPlCUid06dF/logo/dark.svg?fit=max\u0026auto=format\u0026n=b19dlbPlCUid06dF\u0026q=85\u0026s=ea1ddf5bcdb6dab50a40fe0c7b30589f"},"favicon":"https://mintcdn.com/ionet-cca8037f/UVfyCRC1Po30yGvw/logo-small-favicon.png?fit=max\u0026auto=format\u0026n=UVfyCRC1Po30yGvw\u0026q=85\u0026s=7f6d17a7f949fb2e0ddaf85f9da85629","appearance":{"default":"light","strict":true},"fonts":{"heading":{"family":"Geist","source":"https://cdn.jsdelivr.net/fontsource/fonts/geist@latest/latin-400-normal.woff2","format":"woff2"},"body":{"family":"Geist","source":"https://cdn.jsdelivr.net/fontsource/fonts/geist@latest/latin-400-normal.woff2","format":"woff2"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"ionet-cca8037f","hasAudioNarration":false,"actualSubdomain":"ionet-cca8037f","customDomains":["io.net"],"gitSource":{"type":"github","owner":"ionet-official","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aec56ed754501e0c6b58691","clientVersion":"0.0.4102","searchFilterCounts":[{"language":"default","tag":"Community","count":59},{"language":"default","tag":"API References","count":51},{"language":"default","tag":"IO Worker","count":35},{"language":"default","tag":"IO Cloud","count":25},{"language":"default","tag":"Cloud","count":23},{"language":"default","tag":"IO Intelligence","count":21},{"language":"default","tag":"Core Concepts","count":17},{"language":"default","tag":"Intelligence","count":16},{"language":"default","tag":"IO Explorer","count":13},{"language":"default","tag":"IO Staking","count":13}]},"assistantConfig":{},"basePath":"/docs","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":"@font-face{font-family:\"Geist\";font-style:normal;font-weight:400;font-display:swap;src:url(\"https://cdn.jsdelivr.net/fontsource/fonts/geist@latest/latin-400-normal.woff2\") format(\"woff2\")}:root{--gray-700: 10, 10, 10;--primary: 10, 10, 10}body,#sidebar,#content-area,#content-container{font-family:\"Geist\", ui-sans-serif, system-ui, sans-serif}#search-bar-entry{border-radius:9999px!important}@media (min-width: 1024px){:has(>#content-container){background:#f9f9f9}}#content-area{position:relative}#content-area::before{content:\"\";display:none}@media (min-width: 1024px){#content-area::before{display:block;position:absolute;top:-2.5rem;left:-2.5rem;width:calc(100% + 5rem);height:calc(100% + 2.5rem);background:#fff}#content-area{}}#sidebar{background:#f9f9f9}.nav-logo{height:20px}#table-of-contents-content,#table-of-contents-layout{display:block!important;min-width:12rem}.toc-track-wrapper{position:relative;padding-left:0rem}.toc{padding-left:0.75rem}.toc-track{position:absolute;left:0;top:0;bottom:0;width:1px;background:#f5f5f5;border-radius:1px;pointer-events:none}.toc-thumb{position:absolute;left:0;width:1px;background:#0a0a0a;border-radius:1px;pointer-events:none;transition:top 0.2s ease-out, height 0.2s ease-out}"}],"page":{"pagePath":"reference/ai-models/get-started-with-io-intelligence-api","slug":"/reference/ai-models/get-started-with-io-intelligence-api","pageMetadata":{"sidebarTitle":"Overview","title":"Getting Started with AI Models API","description":null,"href":"/reference/ai-models/get-started-with-io-intelligence-api"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,em:`em`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,CodeGroup,Frame,Heading,OptimizedFrame,OptimizedImage,Warning}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!CodeGroup)_missingMdxReference(`CodeGroup`,true);if(!Frame)_missingMdxReference(`Frame`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!OptimizedFrame)_missingMdxReference(`OptimizedFrame`,true);if(!OptimizedImage)_missingMdxReference(`OptimizedImage`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(OptimizedFrame,{width:`100%`,src:`https://www.youtube.com/embed/6kVSfjt1P8s`,title:`Get Started with the IO Intelligence API`,frameborder:`0`,allow:`accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share`,referrerpolicy:`strict-origin-when-cross-origin`,allowfullscreen:true}),`\n`,_jsx(Heading,{level:`3`,id:`important-note-on-usage-limits`,children:`Important Note on Usage Limits`}),`\n`,_jsxs(_components.p,{children:[`Each model within `,_jsx(_components.strong,{children:`IO Intelligence`}),` has its own value and credit consumption rate based on its complexity, capability, and computational cost.`]}),`\n`,_jsxs(_components.p,{children:[`For `,_jsx(_components.strong,{children:`plan subscribers`}),` (`,_jsx(_components.em,{children:`Basic`}),`, `,_jsx(_components.em,{children:`Professional`}),`, or higher tiers), all model interactions draw from a `,_jsx(_components.strong,{children:`shared usage pool`}),`. This means you can use any model available under your plan, and your total usage will count toward a single shared credit allowance — rather than having separate limits for each model.`]}),`\n`,_jsx(_components.p,{children:`This shared system provides maximum flexibility, allowing you to switch between models seamlessly while staying within your daily or hourly quota.`}),`\n`,_jsx(_components.p,{children:`This limit is designed to ensure fair and balanced usage for all users. If you anticipate needing a higher request limit, please consider optimizing your implementation or reach out to us for assistance.`}),`\n`,_jsxs(_components.p,{children:[`For further details on `,_jsx(_components.strong,{children:`usage limits, full breakdown of rates, and how IO Credits are billed`}),`, refer to the `,_jsx(_components.a,{href:`/guides/payment/io-intelligence-payments`,children:_jsx(_components.strong,{children:`IO Intelligence Payments`})}),` page.`]}),`\n`,_jsx(Heading,{level:`2`,id:`introduction`,children:`Introduction`}),`\n`,_jsx(_components.p,{children:`You can interact with the API using HTTP requests from any programming language or by using the official Python and Node.js libraries.`}),`\n`,_jsx(_components.p,{children:`To install the official Python library, run the following command:`}),`\n`,_jsx(CodeBlock,{numberOfLines:`2`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`2`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`pip install openai`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),`\n`,_jsx(_components.p,{children:`To install the official Node.js library, run this command in your Node.js project directory:`}),`\n`,_jsx(CodeBlock,{numberOfLines:`2`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`2`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`npm install openai`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),`\n`,_jsx(Heading,{level:`3`,id:`example-using-the-io-intelligence-api-with-python`,children:`Example: Using the IO Intelligence API with Python`}),`\n`,_jsxs(_components.p,{children:[`Here’s an example of how you can use the `,_jsx(_components.code,{children:`openai Python`}),` library to interact with the IO Intelligence API:`]}),`\n`,_jsx(CodeGroup,{children:_jsx(CodeBlock,{filename:`openai Python`,numberOfLines:`19`,language:`python`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`python`,children:_jsxs(_components.code,{language:`python`,numberOfLines:`19`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`import`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` openai`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`client `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` openai.OpenAI(`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` api_key`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"$IOINTELLIGENCE_API_KEY\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` base_url`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://api.intelligence.io.solutions/api/v1/\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`response `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` client.chat.completions.create(`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` model`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"meta-llama/Llama-3.3-70B-Instruct\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` messages`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`[`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"role\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"system\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"content\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"You are a helpful assistant.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`},`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"role\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"user\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"content\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Hi, I am doing a project using IO Intelligence.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`},`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` temperature`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0.7`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` stream`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`False`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` max_completion_tokens`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`50`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#DCDCAA`},children:`print`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(response.choices[`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`].message.content)`})]}),`\n`]})})})}),`\n`,_jsxs(_components.p,{children:[`This snippet demonstrates how to configure the client, send a chat completion request using the `,_jsx(_components.code,{children:`Llama-3.3-70B-Instruct`}),` model, and retrieve a response.`]}),`\n`,_jsx(Heading,{level:`2`,id:`authentication`,children:`Authentication`}),`\n`,_jsx(Heading,{level:`3`,id:`api-keys`,children:`API keys`}),`\n`,_jsxs(_components.p,{children:[`IO Intelligence APIs authenticate requests using API keys. You can `,_jsx(_components.a,{href:`https://ai.io.net/ai/api-keys`,children:`generate API keys from your user`}),` account:`]}),`\n`,_jsx(Warning,{children:_jsx(_components.p,{children:`Always treat your API key as a secret. Do not share it or expose it in client-side code (e.g., browsers or mobile apps). Instead, store it securely in an environment variable or a key management service on your backend server.`})}),`\n`,_jsxs(_components.p,{children:[`Include the API key in an `,_jsx(_components.code,{children:`Authorization`}),` HTTP header for all API requests:`]}),`\n`,_jsx(CodeBlock,{numberOfLines:`2`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`2`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`Authorization: Bearer \\\\$IOINTELLIGENCE_API_KEY`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),`\n`,_jsx(Heading,{level:`3`,id:`example-list-available-models`,children:`Example: List Available Models`}),`\n`,_jsxs(_components.p,{children:[`Here’s an example `,_jsx(_components.code,{children:`curl`}),` command to list all models available in IO Intelligence:`]}),`\n`,_jsx(CodeGroup,{children:_jsx(CodeBlock,{filename:`curl`,numberOfLines:`3`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl https://api.intelligence.io.solutions/api/v1/models /`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` -H \"Authorization: Bearer \\\\$IOINTELLIGENCE_API_KEY\" `})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})}),`\n`,_jsx(Frame,{children:_jsx(OptimizedImage,{src:`https://mintcdn.com/ionet-cca8037f/s2w54-m8LpJVz2ID/images/reference/e3e8c7c183fa588fc355c7bd42d70b93735d2c229da84c09310b5df20e27ca3f-chatetest-1.jpg?fit=max\u0026auto=format\u0026n=s2w54-m8LpJVz2ID\u0026q=85\u0026s=3a9b26c9f2876f96c760c8fff28f82c8`,alt:``,\"data-og-width\":`1870`,width:`1870`,\"data-og-height\":`1184`,height:`1184`,\"data-path\":`images/reference/e3e8c7c183fa588fc355c7bd42d70b93735d2c229da84c09310b5df20e27ca3f-chatetest-1.jpg`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/ionet-cca8037f/s2w54-m8LpJVz2ID/images/reference/e3e8c7c183fa588fc355c7bd42d70b93735d2c229da84c09310b5df20e27ca3f-chatetest-1.jpg?w=280\u0026fit=max\u0026auto=format\u0026n=s2w54-m8LpJVz2ID\u0026q=85\u0026s=3a69de35979aba8cdcf6d2f103f29b67 280w, https://mintcdn.com/ionet-cca8037f/s2w54-m8LpJVz2ID/images/reference/e3e8c7c183fa588fc355c7bd42d70b93735d2c229da84c09310b5df20e27ca3f-chatetest-1.jpg?w=560\u0026fit=max\u0026auto=format\u0026n=s2w54-m8LpJVz2ID\u0026q=85\u0026s=d2495d46bdb0b15fe804ab6416b867d2 560w, https://mintcdn.com/ionet-cca8037f/s2w54-m8LpJVz2ID/images/reference/e3e8c7c183fa588fc355c7bd42d70b93735d2c229da84c09310b5df20e27ca3f-chatetest-1.jpg?w=840\u0026fit=max\u0026auto=format\u0026n=s2w54-m8LpJVz2ID\u0026q=85\u0026s=9854c8db3a92fcdd25d55527e809288d 840w, https://mintcdn.com/ionet-cca8037f/s2w54-m8LpJVz2ID/images/reference/e3e8c7c183fa588fc355c7bd42d70b93735d2c229da84c09310b5df20e27ca3f-chatetest-1.jpg?w=1100\u0026fit=max\u0026auto=format\u0026n=s2w54-m8LpJVz2ID\u0026q=85\u0026s=00553bb04b4c5fd14b7dad5dac93efb5 1100w, https://mintcdn.com/ionet-cca8037f/s2w54-m8LpJVz2ID/images/reference/e3e8c7c183fa588fc355c7bd42d70b93735d2c229da84c09310b5df20e27ca3f-chatetest-1.jpg?w=1650\u0026fit=max\u0026auto=format\u0026n=s2w54-m8LpJVz2ID\u0026q=85\u0026s=defd5c51244cbddb6c186233cf1de8ee 1650w, https://mintcdn.com/ionet-cca8037f/s2w54-m8LpJVz2ID/images/reference/e3e8c7c183fa588fc355c7bd42d70b93735d2c229da84c09310b5df20e27ca3f-chatetest-1.jpg?w=2500\u0026fit=max\u0026auto=format\u0026n=s2w54-m8LpJVz2ID\u0026q=85\u0026s=87b095210dbd01f9ed4346cfb53c0f06 2500w`})}),`\n`,_jsx(_components.p,{children:`An example response is as follows:`}),`\n`,_jsx(CodeGroup,{children:_jsx(CodeBlock,{filename:`json`,numberOfLines:`31`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`31`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"object\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"list\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"meta-llama/Llama-3.3-70B-Instruct\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"object\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"model\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1736168795`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"owned_by\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"io-intelligence\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"root\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"parent\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"max_model_len\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"permission\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"modelperm-30ac078e67ab456a9279d53cf83155bb\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"object\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"model_permission\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1736755239`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"allow_create_engine\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"allow_sampling\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"allow_logprobs\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"allow_search_indices\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"allow_view\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"allow_fine_tuning\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"organization\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"*\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"group\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_blocking\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#82071E`,\"--shiki-light-font-style\":`italic`,\"--shiki-dark\":`#F44747`,\"--shiki-dark-font-style\":`inherit`},children:` ...`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsx(Heading,{level:`2`,id:`making-requests`,children:`Making requests`}),`\n`,_jsxs(_components.p,{children:[`The example below demonstrates how to make a request to the Chat Completions endpoint using `,_jsx(_components.code,{children:`curl`}),`. To test the API, replace `,_jsx(_components.code,{children:`$IOINTELLIGENCE_API_KEY`}),` with your actual API key and modify the input values as shown.`]}),`\n`,_jsx(CodeGroup,{children:_jsx(CodeBlock,{filename:`curl`,numberOfLines:`10`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`10`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl https://api.intelligence.io.solutions/api/v1/chat/completions /`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` -H \"Content-Type: application/json\" /`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` -H \"Authorization: Bearer \\\\$IOINTELLIGENCE_API_KEY\" /`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` -d '{`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"model\": \"meta-llama/Llama-3.3-70B-Instruct\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"messages\": [{\"role\": \"user\", \"content\": \"Say this is a test!\"}],`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"reasoning_content\": true,`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"temperature\": 0.7`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` }'`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})}),`\n`,_jsx(Frame,{children:_jsx(OptimizedImage,{src:`https://mintcdn.com/ionet-cca8037f/s2w54-m8LpJVz2ID/images/reference/24379dbcfebcf3e58eb79022144a5a88a4f41a2d59df9b06c0991675ccccb86c-chatetest-2.jpg?fit=max\u0026auto=format\u0026n=s2w54-m8LpJVz2ID\u0026q=85\u0026s=dd68c9c36b0eb33d798f6494aad77b89`,alt:``,\"data-og-width\":`1870`,width:`1870`,\"data-og-height\":`1440`,height:`1440`,\"data-path\":`images/reference/24379dbcfebcf3e58eb79022144a5a88a4f41a2d59df9b06c0991675ccccb86c-chatetest-2.jpg`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/ionet-cca8037f/s2w54-m8LpJVz2ID/images/reference/24379dbcfebcf3e58eb79022144a5a88a4f41a2d59df9b06c0991675ccccb86c-chatetest-2.jpg?w=280\u0026fit=max\u0026auto=format\u0026n=s2w54-m8LpJVz2ID\u0026q=85\u0026s=651715619aa147ff4dd31271f574a0c2 280w, https://mintcdn.com/ionet-cca8037f/s2w54-m8LpJVz2ID/images/reference/24379dbcfebcf3e58eb79022144a5a88a4f41a2d59df9b06c0991675ccccb86c-chatetest-2.jpg?w=560\u0026fit=max\u0026auto=format\u0026n=s2w54-m8LpJVz2ID\u0026q=85\u0026s=4cc263abf59cb57dadcce4fc455cb564 560w, https://mintcdn.com/ionet-cca8037f/s2w54-m8LpJVz2ID/images/reference/24379dbcfebcf3e58eb79022144a5a88a4f41a2d59df9b06c0991675ccccb86c-chatetest-2.jpg?w=840\u0026fit=max\u0026auto=format\u0026n=s2w54-m8LpJVz2ID\u0026q=85\u0026s=5cffbe7b0f1b5898537082078a03d6bd 840w, https://mintcdn.com/ionet-cca8037f/s2w54-m8LpJVz2ID/images/reference/24379dbcfebcf3e58eb79022144a5a88a4f41a2d59df9b06c0991675ccccb86c-chatetest-2.jpg?w=1100\u0026fit=max\u0026auto=format\u0026n=s2w54-m8LpJVz2ID\u0026q=85\u0026s=a441a8aed7e9aa313b5580aa3f52dd6f 1100w, https://mintcdn.com/ionet-cca8037f/s2w54-m8LpJVz2ID/images/reference/24379dbcfebcf3e58eb79022144a5a88a4f41a2d59df9b06c0991675ccccb86c-chatetest-2.jpg?w=1650\u0026fit=max\u0026auto=format\u0026n=s2w54-m8LpJVz2ID\u0026q=85\u0026s=f89c474aa0772f1b1436dd751525432a 1650w, https://mintcdn.com/ionet-cca8037f/s2w54-m8LpJVz2ID/images/reference/24379dbcfebcf3e58eb79022144a5a88a4f41a2d59df9b06c0991675ccccb86c-chatetest-2.jpg?w=2500\u0026fit=max\u0026auto=format\u0026n=s2w54-m8LpJVz2ID\u0026q=85\u0026s=e9a56c0591260d01bd42041e0f7ce3b7 2500w`})}),`\n`,_jsxs(_components.p,{children:[`This example queries the `,_jsx(_components.code,{children:`meta-llama/Llama-3.3-70B-Instruct`}),` model to generate a chat completion for the input: “`,_jsx(_components.em,{children:`Say this is a test!`}),`”.`]}),`\n`,_jsx(Heading,{level:`3`,id:`example-response`,children:`Example Response`}),`\n`,_jsx(_components.p,{children:`The API should return a response as follows:`}),`\n`,_jsx(CodeGroup,{children:_jsx(CodeBlock,{filename:`json`,numberOfLines:`25`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`25`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"01945ea6-1d9f-9d46-efbc-2608dcc78169\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"object\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"chat.completion\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1736754732`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"model\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"meta-llama/Llama-3.3-70B-Instruct\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"choices\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"index\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"role\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"assistant\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"content\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"This is a test!\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"logprobs\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"finish_reason\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"stop\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"stop_reason\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"usage\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"prompt_tokens\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`12`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"total_tokens\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`18`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"completion_tokens\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`6`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"prompt_tokens_details\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"prompt_logprobs\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsx(Heading,{level:`3`,id:`key-details-in-the-response`,children:`Key Details in the Response`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`finish_reason`}),`: Indicates why the generation stopped (e.g., “stop”).`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`choices`}),`: Contains the generated response(s). Adjust the n parameter to generate multiple response choices.`]}),`\n`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"sidebarTitle":"Overview","title":"Getting Started with AI Models API","description":null,"href":"/reference/ai-models/get-started-with-io-intelligence-api"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Important Note on Usage Limits","slug":"important-note-on-usage-limits","depth":3,"children":[]},{"title":"Introduction","slug":"introduction","depth":2,"children":[{"title":"Example: Using the IO Intelligence API with Python","slug":"example-using-the-io-intelligence-api-with-python","depth":3,"children":[]}]},{"title":"Authentication","slug":"authentication","depth":2,"children":[{"title":"API keys","slug":"api-keys","depth":3,"children":[]},{"title":"Example: List Available Models","slug":"example-list-available-models","depth":3,"children":[]}]},{"title":"Making requests","slug":"making-requests","depth":2,"children":[{"title":"Example Response","slug":"example-response","depth":3,"children":[]},{"title":"Key Details in the Response","slug":"key-details-in-the-response","depth":3,"children":[]}]}],"codeExamples":{}},"jsLinks":["/docs/_mintlify/custom/ionet-cca8037f/536253863eb63726/scripts/toc-track.js"],"subdomain":"ionet-cca8037f","siteName":"io.net","title":"Getting Started with AI Models API - io.net","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-05T10:15:34.948Z","originalFileLocation":"reference/ai-models/get-started-with-io-intelligence-api.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=\"light\";if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"io.net\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/ionet-cca8037f/45_PhHvAsXqoDTU6/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/docs/mintlify-assets/_mintlify/favicons/ionet-cca8037f/45_PhHvAsXqoDTU6/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/ionet-cca8037f/45_PhHvAsXqoDTU6/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/ionet-cca8037f/45_PhHvAsXqoDTU6/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/ionet-cca8037f/45_PhHvAsXqoDTU6/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/ionet-cca8037f/45_PhHvAsXqoDTU6/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/ionet-cca8037f/45_PhHvAsXqoDTU6/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/ionet-cca8037f/45_PhHvAsXqoDTU6/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/ionet-cca8037f/45_PhHvAsXqoDTU6/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Getting Started with AI Models API - io.net\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"io.net\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://io.net/docs/reference/ai-models/get-started-with-io-intelligence-api\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://ionet-cca8037f.mintlify.site/docs/_mintlify/api/og/v2?division=Getting+Started+with+AI+Models+API\u0026amp;title=Getting+Started+with+AI+Models+API\u0026amp;theme=c216b07be2cce0f8115c5458\u0026amp;signature=22b2284a509deb1dffa5f6948adaca5579997bc07428d634ff5ac12f38dda691\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Getting Started with AI Models API - io.net\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://ionet-cca8037f.mintlify.site/docs/_mintlify/api/og/v2?division=Getting+Started+with+AI+Models+API\u0026amp;title=Getting+Started+with+AI+Models+API\u0026amp;theme=c216b07be2cce0f8115c5458\u0026amp;signature=22b2284a509deb1dffa5f6948adaca5579997bc07428d634ff5ac12f38dda691\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/docs/mintlify-assets/_mintlify/favicons/ionet-cca8037f/45_PhHvAsXqoDTU6/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"io.net\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#6b6b6b\">\u003clink data-mint-head rel=\"canonical\" href=\"https://io.net/docs/reference/ai-models/get-started-with-io-intelligence-api\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/docs/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/reference/ai-models/get-started-with-io-intelligence-api.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://io.net/#organization\",\"name\":\"io.net\",\"url\":\"https://io.net\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/ionet-cca8037f/b19dlbPlCUid06dF/logo/light.svg?fit=max\u0026auto=format\u0026n=b19dlbPlCUid06dF\u0026q=85\u0026s=debc44eff771f4f2f76b8b8a86faf828\"}},{\"@type\":\"WebSite\",\"@id\":\"https://io.net/docs#website\",\"name\":\"io.net\",\"url\":\"https://io.net/docs\",\"publisher\":{\"@id\":\"https://io.net/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://io.net/docs/reference/ai-models/get-started-with-io-intelligence-api#webpage\",\"url\":\"https://io.net/docs/reference/ai-models/get-started-with-io-intelligence-api\",\"name\":\"Getting Started with AI Models API\",\"dateModified\":\"2026-11-05T10:15:34.948Z\",\"isPartOf\":{\"@id\":\"https://io.net/docs#website\"},\"breadcrumb\":{\"@id\":\"https://io.net/docs/reference/ai-models/get-started-with-io-intelligence-api#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://io.net/docs/reference/ai-models/get-started-with-io-intelligence-api#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"io.net\",\"item\":\"https://io.net/docs\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Getting Started with AI Models API\",\"item\":\"https://io.net/docs/reference/ai-models/get-started-with-io-intelligence-api\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://io.net/docs/reference/ai-models/get-started-with-io-intelligence-api#article\",\"headline\":\"Getting Started with AI Models API\",\"name\":\"Getting Started with AI Models API\",\"url\":\"https://io.net/docs/reference/ai-models/get-started-with-io-intelligence-api\",\"mainEntityOfPage\":{\"@id\":\"https://io.net/docs/reference/ai-models/get-started-with-io-intelligence-api#webpage\"},\"dateModified\":\"2026-11-05T10:15:34.948Z\",\"publisher\":{\"@id\":\"https://io.net/#organization\"},\"isPartOf\":{\"@id\":\"https://io.net/docs#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"io.net\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"io.net\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/docs/reference/ai-models/get-started-with-io-intelligence-api.md","siteName":"io.net","nav":{"global":null,"tabs":[{"tab":"Core Concepts","pages":[{"title":"Core Concepts","href":"/guides/inception"}]},{"tab":"Cloud","pages":[{"title":"Cloud","href":"/guides/clouds/io-cloud"}]},{"tab":"Intelligence","pages":[{"title":"Intelligence","href":"/guides/intelligence/unified-chat"}]},{"tab":"Community","pages":[{"title":"Community","href":"/guides/workers/io-worker"}]},{"tab":"API References","groups":[{"group":"IO Explorer","pages":[{"group":"Getting Started With IO Explorer API","pages":[{"title":"Getting Started with IO Explorer API","sidebarTitle":"Overview","href":"/reference/io-explorer/getting-started-with-your-api"},{"title":"Device Object Reference","href":"/reference/io-explorer/objects"},{"openapi":"openapi/io-explorer/get-device-details.json GET /v1/io-explorer/devices/{device_id}/details","title":"Device Details","href":"/reference/io-explorer/get-device-details"},{"openapi":"openapi/io-explorer/device-summary.json GET /v1/io-explorer/devices/{device_id}/summary","title":"Device Summary","href":"/reference/io-explorer/device-summary"},{"openapi":"openapi/io-explorer/pow-summary.json GET /v1/io-explorer/devices/{device_id}/pow-summary","title":"PoW Summary","description":"This PoW Summary endpoint returns information about the Proof of Work challenges for a device.","href":"/reference/io-explorer/pow-summary"}]}]},{"group":"IO Intelligence","pages":[{"group":"Getting Started with AI Models API","pages":[{"sidebarTitle":"Overview","title":"Getting Started with AI Models API","href":"/reference/ai-models/get-started-with-io-intelligence-api"},{"title":"Uploading Images","description":"The io.net Intelligence API supports image inputs for vision-enabled AI models. This allows users to send images as part of their API requests, enabling advanced multimodal AI capabilities.","href":"/reference/ai-models/uploading-images"},{"openapi":"openapi/ai-models/get-models-list.json GET /api/v1/models","title":"Models List","sidebarTitle":"Models List","href":"/reference/ai-models/get-models-list"},{"openapi":"openapi/ai-models/create-chat-completion.json POST /api/v1/chat/completions","title":"Create Chat Completion","sidebarTitle":"Chat Completion","href":"/reference/ai-models/create-chat-completion"},{"openapi":"openapi/ai-models/create-response.json POST /api/v1/responses","title":"Create Response","sidebarTitle":"Responses","href":"/reference/ai-models/create-response"}]},{"group":"Sub-API Keys","pages":[{"openapi":"openapi/sub-keys/create-sub-key.json POST /v1/api-keys/sub-keys","title":"Create Sub-API Key","sidebarTitle":"Create Sub-Key","href":"/reference/sub-keys/create-sub-key"},{"openapi":"openapi/sub-keys/list-sub-keys.json GET /v1/api-keys/sub-keys","title":"List Sub-API Keys","sidebarTitle":"List Sub-Keys","href":"/reference/sub-keys/list-sub-keys"},{"openapi":"openapi/sub-keys/update-sub-key.json PATCH /v1/api-keys/sub-keys/{key_id}","title":"Update Sub-API Key","sidebarTitle":"Update Sub-Key","href":"/reference/sub-keys/update-sub-key"},{"openapi":"openapi/sub-keys/revoke-sub-key.json DELETE /v1/api-keys/sub-keys/{key_id}","title":"Revoke Sub-API Key","sidebarTitle":"Revoke Sub-Key","href":"/reference/sub-keys/revoke-sub-key"},{"openapi":"openapi/sub-keys/get-all-keys-usage.json GET /v1/api-keys/sub-keys/usage","title":"Get All Sub-Keys Usage","sidebarTitle":"All Keys Usage","href":"/reference/sub-keys/get-all-keys-usage"},{"openapi":"openapi/sub-keys/get-key-usage.json GET /v1/api-keys/sub-keys/{key_id}/usage","title":"Get Sub-Key Usage","sidebarTitle":"Single Key Usage","href":"/reference/sub-keys/get-key-usage"},{"openapi":"openapi/sub-keys/get-own-usage.json GET /v1/api-keys/sub-keys/me/usage","title":"Get Own Usage (Sub-Key Self-Service)","sidebarTitle":"Self Usage Check","href":"/reference/sub-keys/get-own-usage"}]},{"group":"Getting Started with AI Agents API","pages":[{"sidebarTitle":"Overview","title":"Getting Started with AI Agents API","href":"/reference/ai-agents/getting-started-with-api-agents"},{"openapi":"openapi/ai-agents/get-agents-list.json GET /api/v1/agents","title":"Agents List","href":"/reference/ai-agents/get-agents-list"},{"openapi":"openapi/ai-agents/workflows-schema.json GET /api/v1/workflows/schema","title":"Workflows Schema","href":"/reference/ai-agents/workflows-schema"},{"openapi":"openapi/ai-agents/workflows-run.json POST /api/v1/workflows/run","title":"Workflows Run","href":"/reference/ai-agents/workflows-run"},{"group":"Secret Management","hidden":false,"pages":[{"openapi":"openapi/ai-agents/secret-management-list.json GET /v1/secrets/","title":"Secrets List","href":"/reference/ai-agents/secret-management-list"},{"openapi":"openapi/ai-agents/secret-management-get.json GET /v1/secrets/{secret_id}","title":"Get Secret Details","href":"/reference/ai-agents/secret-management-get"},{"openapi":"openapi/ai-agents/secret-management-post.json POST /v1/secrets/","title":"Create a Secret","href":"/reference/ai-agents/secret-management-post"},{"openapi":"openapi/ai-agents/secret-management-patch.json PATCH /v1/secrets/{secret_id}","title":"Update Secret Details","href":"/reference/ai-agents/secret-management-patch"},{"openapi":"openapi/ai-agents/secret-management-delete.json DELETE /v1/secrets/{secret_id}","title":"Delete a Secret","href":"/reference/ai-agents/secret-management-delete"}]}]}]},{"group":"IO Cloud","pages":[{"group":"Getting Started With CaaS API","pages":[{"sidebarTitle":"Overview","title":"Getting Started with CaaS API","href":"/reference/caas/get-started-with-caas-api"},{"openapi":"openapi/caas/get-all-deployments.json GET /enterprise/v1/io-cloud/caas/deployments","title":"Get All Deployments","href":"/reference/caas/get-all-deployments"},{"openapi":"openapi/caas/get-deployment-details.json GET /enterprise/v1/io-cloud/caas/deployment/{deployment_id}","title":"Get Deployment Details","href":"/reference/caas/get-deployment-details"},{"openapi":"openapi/caas/deploy-a-container.json POST /enterprise/v1/io-cloud/caas/deploy","title":"Deploy a Container","href":"/reference/caas/deploy-a-container"},{"openapi":"openapi/caas/list-deployment-containers.json GET /enterprise/v1/io-cloud/caas/deployment/{deployment_id}/containers","title":"List Deployment Containers","href":"/reference/caas/list-deployment-containers"},{"openapi":"openapi/caas/get-hardware-list.json GET /enterprise/v1/io-cloud/caas/hardware","title":"Get Hardware List","href":"/reference/caas/get-hardware-list"},{"openapi":"openapi/caas/get-node-pools.json GET /enterprise/v1/io-cloud/caas/node-pools","title":"Get Private Node Pools","href":"/reference/caas/get-node-pools"},{"openapi":"openapi/caas/price-estimation.json GET /enterprise/v1/io-cloud/caas/price","title":"Deployment Price Check","href":"/reference/caas/price-estimation"},{"openapi":"openapi/caas/container-job-details.json GET /enterprise/v1/io-cloud/caas/deployment/{deployment_id}/containers-jobs/{container_id}","title":"Container Job Details","href":"/reference/caas/container-job-details"},{"openapi":"openapi/caas/container-logs.json GET /enterprise/v1/io-cloud/caas/deployment/{deployment_id}/log/{container_id}","title":"Container Logs","href":"/reference/caas/container-logs"},{"openapi":"openapi/caas/update-deployment-configuration.json PATCH /enterprise/v1/io-cloud/caas/deployment/{deployment_id}","title":"Update Deployment Configuration","href":"/reference/caas/update-deployment-configuration"},{"openapi":"openapi/caas/extend-deployment-duration.json POST /enterprise/v1/io-cloud/caas/deployment/{deployment_id}/extend","title":"Extend Deployment Duration","href":"/reference/caas/extend-deployment-duration"},{"openapi":"openapi/caas/destroy-container.json DELETE /enterprise/v1/io-cloud/caas/deployment/{deployment_id}","title":"Destroy Container","href":"/reference/caas/destroy-container"}]},{"group":"Getting Started With VMaaS API","pages":[{"title":"Getting Started with VMaaS API","sidebarTitle":"Overview","href":"/reference/vmaas/get-started-with-vmaas-api"},{"title":"Cluster Deployment using APIs","href":"/reference/vmaas/example-deploying-using-APIs"},{"openapi":"openapi/vmaas/get-hardware-list.json GET /enterprise/v1/io-cloud/vmaas/hardware","title":"Get Hardware List","sidebarTitle":"Hardware List","href":"/reference/vmaas/get-hardware-list"},{"openapi":"openapi/vmaas/get-all-deployments.json GET /enterprise/v1/io-cloud/vmaas/deployments","title":"Get All Deployments","sidebarTitle":"Deployments List","href":"/reference/vmaas/get-all-deployments"},{"openapi":"openapi/vmaas/get-deployment-details.json GET /enterprise/v1/io-cloud/vmaas/deployment/{deployment_id}","title":"Get Deployment Details","sidebarTitle":"Deployment Details","href":"/reference/vmaas/get-deployment-details"},{"openapi":"openapi/vmaas/get-deployment-vms.json GET /enterprise/v1/io-cloud/vmaas/deployment/{deployment_id}/vms","title":"Get Deployment VMs","sidebarTitle":"Deployment VMs","href":"/reference/vmaas/get-deployment-vms"},{"openapi":"openapi/vmaas/get-vms-jobs-history.json GET /enterprise/v1/io-cloud/vmaas/deployment/{deployment_id}/vms-jobs/{container_id}","title":"Get a VM's Jobs History","sidebarTitle":"VM Jobs History","href":"/reference/vmaas/get-vms-jobs-history"},{"openapi":"openapi/vmaas/get-deployment-price.json GET /enterprise/v1/io-cloud/vmaas/price","title":"Get Deployment Price","sidebarTitle":"Deployment Price","href":"/reference/vmaas/get-deployment-price"},{"openapi":"openapi/vmaas/deploy-vms.json POST /enterprise/v1/io-cloud/vmaas/deploy","title":"Deploy a VM","href":"/reference/vmaas/deploy-vms"},{"openapi":"openapi/vmaas/extend-cluster.json POST /enterprise/v1/io-cloud/vmaas/deployment/{deployment_id}/extend","title":"Extend Cluster","href":"/reference/vmaas/extend-cluster"},{"openapi":"openapi/vmaas/destroy-deployment.json DELETE /enterprise/v1/io-cloud/vmaas/deployment/{deployment_id}","title":"Destroy Deployment","href":"/reference/vmaas/destroy-deployment"}]},{"group":"Billing","pages":[{"openapi":"openapi/io-cloud/get-burn-rate.json GET /enterprise/v1/io-cloud/users/burn-rate","title":"Get Burn Rate","href":"/reference/io-cloud/get-burn-rate"}]}]}]}]},"basePath":"","title":"Getting Started with AI Models API - io.net","buildId":"dpl_2AK98Hxhwu4fUXpx9atbv41cC328","deploymentId":"dpl_2AK98Hxhwu4fUXpx9atbv41cC328","dynamics":["07c022d89b","a74be98ba7"],"chunks":["Frame-Buk2KjK6.js","DynamicMarkdown-DYYZTGpa.js","zoom-image-lightbox-T84NdC3b.js","lightbox-handle-r17bVUz3.js"]}